import 'dart:async';
import 'dart:convert';
import 'dart:io';

import 'package:flutter/services.dart';

import 'Response.dart';

class HttpPrisma {
  static const MethodChannel _channel = const MethodChannel('http_prisma');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('postDecidir');
    return version;
  }
  static Future<String> post(String url, String apiKey, String payload) async{
    Map<String, dynamic> args = <String, dynamic>{};
    args.putIfAbsent("url", () => url);
    args.putIfAbsent("apikey", () => apiKey);
    args.putIfAbsent("payload", () => payload);
    Response response = new Response(-1, "");
    String r2 = "";

    if(Platform.isAndroid){ //Si es Android usa las funciones internas de Android para hacer la request
      Map<String, dynamic> result = jsonDecode(await _channel.invokeMethod('postDecidir', args));
      //response = new Response(result["statusCode"], result["response"]);
      r2 = result["response"];
    }else{ //Si es otro SO, usa la libreria HTTP de flutter (Suponiendo que el problema sea solo Androidd
      r2 = await _channel.invokeMethod('postDecidir', args);
      //response = new Response(200, r2);
    }
    return r2;
  }
}

